[BACK]Return to fw_install.sh CVS log [TXT][DIR] Up to [local] / openbsd / fw_update

Diff for /openbsd/fw_update/fw_install.sh between version 1.113 and 1.118

version 1.113, 2021/12/23 21:34:12 version 1.118, 2021/12/24 00:46:02
Line 277 
Line 277 
   
 CFILE="$LOCALSRC/$CFILE"  CFILE="$LOCALSRC/$CFILE"
   
 if "$INSTALL" || "$DELETE"; then  if [ -x /usr/bin/id ] && [ "$(/usr/bin/id -u)" != 0 ]; then
         if [ -x /usr/bin/id ] && [ "$(/usr/bin/id -u)" != 0 ]; then          echo "need root privileges" >&2
                 echo "need root privileges" >&2          exit 1
                 exit 1  
         fi  
 fi  fi
   
 set -A devices -- "$@"  set -A devices -- "$@"
Line 338 
Line 336 
 [ "${devices[*]:-}" ] || exit  [ "${devices[*]:-}" ] || exit
   
 if "$DOWNLOAD"; then  if "$DOWNLOAD"; then
           set +o noclobber # we want to get the latest CFILE
         fetch "$CFILE"          fetch "$CFILE"
           set -o noclobber
         ! signify -qVep "$FWPUB_KEY" -x "$CFILE" -m "$CFILE" &&          ! signify -qVep "$FWPUB_KEY" -x "$CFILE" -m "$CFILE" &&
             echo "Signature check of SHA256.sig failed" >&2 && exit 1              echo "Signature check of SHA256.sig failed" >&2 && exit 1
 fi  fi
   
 added=''  added=''
 updated=''  updated=''
   kept=''
 for f in "${devices[@]}"; do  for f in "${devices[@]}"; do
         d="$( firmware_devicename "$f" )"          d="$( firmware_devicename "$f" )"
   
Line 363 
Line 364 
                 for i in "${installed[@]}"; do                  for i in "${installed[@]}"; do
                         if [ "${f##*/}" = "$i.tgz" ]; then                          if [ "${f##*/}" = "$i.tgz" ]; then
                                 "$VERBOSE" && echo "$i already installed"                                  "$VERBOSE" && echo "$i already installed"
                                   kept="$kept,$d"
                                 continue 2                                  continue 2
                         fi                          fi
                 done                  done
Line 372 
Line 374 
                 if "$DOWNLOAD"; then                  if "$DOWNLOAD"; then
                         "$VERBOSE" && echo "Verify existing ${f##*/}"                          "$VERBOSE" && echo "Verify existing ${f##*/}"
                         verify "$f" || continue                          verify "$f" || continue
                           "$INSTALL"  || kept="$kept,$d"
                 # else assume it was verified when downloaded                  # else assume it was verified when downloaded
                 fi                  fi
         elif "$DOWNLOAD"; then          elif "$DOWNLOAD"; then
                 fetch  "$f" || continue                  fetch  "$f" || continue
                 verify "$f" || continue                  verify "$f" || continue
                   "$INSTALL"  || added="$added,$d"
         elif "$INSTALL"; then          elif "$INSTALL"; then
                 echo "Cannot install ${f##*/}, not found" >&2                  echo "Cannot install ${f##*/}, not found" >&2
                 continue                  continue
Line 395 
Line 399 
         add_firmware "$f"          add_firmware "$f"
   
         if "$removed"; then          if "$removed"; then
                 [ "$updated" ] && updated="$updated,"                  updated="$updated,$d"
                 updated="$updated$d"  
         else          else
                 [ "$added" ] && added="$added,"                  added="$added,$d"
                 added="$added$d"  
         fi          fi
 done  done
   
 if ! $VERBOSE && { [ "$added" ] || [ "$updated" ]; }; then  added="${added:#,}"
         echo  "${0##*/}: $(  updated="${updated:#,}"
             [ "$added" ] && echo -n "added ${added}"  kept="${kept:#,}"
             [ "$added" ] && [ "$updated" ] && echo -n "; "  if "$INSTALL"; then
             [ "$updated" ] && echo -n "updated ${updated}"          echo  "${0##*/}: added ${added:-none}; updated ${updated:-none}; kept ${kept:-none}"
         )"  else
           echo  "${0##*/}: downloaded ${added:-none}; kept ${kept:-none}"
 fi  fi

Legend:
Removed from v.1.113  
changed lines
  Added in v.1.118

FreeBSD-CVSweb <freebsd-cvsweb@FreeBSD.org>